#!/usr/bin/env python3

def čti_data_monitoru(f_in, f_out):
    brand = next(f_in).strip('\n| ')
    model = next(f_in).strip('\n| ')
    size = next(f_in).strip('\n| ').split(' | ')[-1]
    hres = next(f_in).strip('\n| ')
    vres = next(f_in).strip('\n| ')
    aspect = next(f_in).strip('\n| ').split(' | ')[-1]
    inputs = next(f_in).strip('\n| ')
    support = next(f_in).strip('\n| ').split(' | ')[-1]
    year = next(f_in).strip('\n| ').split(' | ')[-1]
    comments = next(f_in).strip('\n| ')
    # zanesení údajů o monitoru do výstupního CSV-souboru
    print(f'{brand}\t{model}\t{size}\t{hres}\t{vres}\t{aspect}\t{inputs}\t{support}\t{year}\t{comments}', file=f_out)

with (
    open('15kHz_1740657045.txt') as soubor_in,
    open('15kHz.csv', mode='tw', encoding='utf-8') as soubor_out,
):
    # hlavičková řádka na výstupu
    soubor_out.write('brand\tmodel\tsize\thres\tvres\taspect\tinputs\tsupport\tyear\tcomments\n')
    # zpracování dat
    for řádka in soubor_in:
        if not řádka.startswith('|-'):
            continue
        čti_data_monitoru(soubor_in, soubor_out)
