# načtení dat z RAW-souboru
monitory = []

def čti_data_monitoru(soubor):
    brand = next(soubor).strip('\n| ')
    model = next(soubor).strip('\n| ')
    size = next(soubor).strip('\n| ').split(' | ')[-1]
    hres = next(soubor).strip('\n| ')
    vres = next(soubor).strip('\n| ')
    aspect = next(soubor).strip('\n| ').split(' | ')[-1]
    inputs = next(soubor).strip('\n| ')
    support = next(soubor).strip('\n| ').split(' | ')[-1]
    year = next(soubor).strip('\n| ').split(' | ')[-1]
    comments = next(soubor).strip('\n| ')
    # zanesení údajů o monitoru do databáze (seznamu :-)
    monitory.append(
        (brand, model, size, hres, vres, aspect, inputs, support, year, comments)
    )

with open('15kHz_1740657045.txt') as soubor:
    for řádka in soubor:
        if not řádka.startswith('|-'):
            continue
        čti_data_monitoru(soubor)

# zápis načtených dat do CSV-souboru
with open('15kHz.csv', mode='tw', encoding='utf-8') as soubor:
    soubor.write('brand\tmodel\tsize\thres\tvres\taspect\tinputs\tsupport\tyear\tcomments\n')
    for monitor in monitory:
        brand, model, size, hres, vres, aspect, inputs, support, year, comments = monitor
        print(f'{brand}\t{model}\t{size}\t{hres}\t{vres}\t{aspect}\t{inputs}\t{support}\t{year}\t{comments}', file=soubor)
